#include <iostream>
using namespace std;

int main()
{
    char c[2];
    int a1, a2;
    cin >> c[0] >> c[1];
    cin >> a1 >> a2;
    string s = "";
    if (a1 - a2 > 1)
    {
        cout << "nemouce";
    }
    else if(a1 - a2 < -1)
    {
        cout << "nemouce";
    }
    else if (a1 > a2)
    {
        s += c[0];
        for (int i = 0; i < a2; i++)
        {
            s += c[1];
            s += c[0];
        }
        cout << s;
    }
    else if(a1 < a2)
    {
        s += c[1];
        for (int i = 0; i < a1; i++)
        {
            s += c[0];
            s += c[1];
        }
        cout << s;
    }
    else
    {
        for (int i = 0; i < a1; i++)
        {
            s += c[0];
            s += c[1];
        }
        cout << s;
    }
}